{% extends '../base.html'%}
{% block main %}
{% load static %}

<div class="conatiner-all d-flex position-relative">
  {% include "../components/quick_access.html" %}
  {% include "./admin-aside.html" %}
  <div class="table-container">
    <p class="text-center fs-4 mt-3">Modifications de site</p>
    <div class="add-article">
      <form method="POST">
        {% csrf_token %}
        <h2 class="text-center">Modification des informations de contact</h2>
        <section>
          <div>
            <label for="new_site_title">Titre du site&nbsp;:</label>
            <input type="text" name="new_site_title" class="text form-control cost-repair-form shadow" id="new_site_title" required {% if about_us.site_title %}value="{{ about_us.site_title }}"{% endif %}/>
          </div>
          <div>
            <label for="new_email">Email&nbsp;:</label>
            <input type="email"  name="new_email" class="text form-control cost-repair-form shadow" id="new_email" required {% if about_us.email %} value="{{ about_us.email }}" {% endif %}/>
          </div>
          <div>
            <label for="new_phone">Téléphone&nbsp;:</label>
            <input type="text" name="new_phone" class="text form-control cost-repair-form shadow" id="new_phone" required label="Votre nom" {% if about_us.phone %} value="{{ about_us.phone }}" {% endif %}/>
          </div>
          <div>
            <label for="new_address">Adresse&nbsp;:</label>
            <input type="text" name="new_address" class="text form-control cost-repair-form shadow" id="new_address" required label="Votre nom" {% if about_us.address %} value="{{ about_us.address }}" {% endif %}/>
          </div>
          <div>
            <label for="new_address_url">Lien de l'adresse sur Google Maps&nbsp;:</label>
            <input type="url" name="new_address_url" class="text form-control cost-repair-form shadow" id="new_address_url" required label="Votre nom" {% if about_us.google_maps_link %} value="{{ about_us.google_maps_link }}" {% endif %} />
          </div>
        </section>
        <div class="w-100 mt-4 d-flex justify-content-center align-content-center">
          <button type="submit" class="normal-btn px-4 py-2 border shadow rounded bg-success text-white">
            <i class="fa-solid fa-check"></i>Modifier
          </button>
        </div>
      </form>
    </div>
  </div>
</div>

<script>
  const select = document.querySelector("select#status");
  const input = document.querySelector("#inputSearchQ");
  select.addEventListener("change", (e) => {
    const status = e.target.value;
    sortTableRepairForAdminWithSelect(status);
  });
  input.addEventListener("input", (e) => {
    const q = e.target.value;
    sortTableRepairForAdminWithInput(q);
  });
</script>
{% endblock main%}
